//definicje ukadw ekranu
#define OZ_BLANK    -1
#define OZ_F16      0
#define OZ_M644     1
#define OZ_USER1    2
#define OZ_USER2    3


#define PI          (float)(3.14159265)
#define RAD2DEG     (float)(180/PI)   //przeliczanie radianw na stopnie

//definicje zmiennych
static unsigned char chFrameDivider;
static unsigned char chOsdBuff[40];


//definicje funkcji
unsigned char OSD_Zbig(void);
unsigned char OZ_PrintText(unsigned char *chText, unsigned char chTextLen);
unsigned char OZ_SetLayout(unsigned char chLayout);
void OZ_Byte2Char(unsigned char chDig, unsigned char *chBuf);
void OZ_Short2Char(unsigned short sDig, unsigned char *chBuf);
unsigned char OZ_ClearScreen(void);
unsigned char OZ_SetTextPosition(unsigned short sPosX, unsigned short sPosY);
unsigned char OZ_SetHorizon(float fPith, float fRoll);
unsigned char OZ_SetVoltage(float fVolt);
unsigned char OZ_SetCurrEnergy(float fCurr, float fEnergy);
unsigned char OZ_SetAltitude(float fAlti);
unsigned char OZ_SetVariometer(float fVario);
unsigned char OZ_SetSpeed(float fSpeed);
unsigned char OZ_SetCourse(float fCourse);


//deklaracje funkcji zewntrznych
extern void PutData1 (unsigned char *data, unsigned char data_size);
extern unsigned char FramDataRead(unsigned short sAddress);
extern void SetUartSpeed(unsigned char chPortNum, unsigned int nBaud);
extern void PutData3 (unsigned char *data, unsigned char data_size);